POST /inbox/comments/{commentId}/pin

Pin a top-level comment to the top of the post, where supported (else 400 not_supported). Queued for approval (202) while approval applies

POST
/inbox/comments/{commentId}/pin

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

commentId*string

Platform comment id

Request Body

application/json
  1. body
accountId?string

Connected account id (must belong to the key's organization)

postId?string

Platform post id (some platforms need it)

Response Body

{commentId, pinned}

application/json
  1. response
commentId?string
pinned?boolean
Example Request
curl -X POST 'https://example.com/api/v1/inbox/comments/string/pin' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "commentId": "string",  "pinned": true}